/* 
   Game header file
   --------------------------------------------------------------------
   Linberto

   Copyright (C) 1999-2001 Diego Javier Grigna <diego@grigna.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

struct actor_struct act_linberto;    /* The Linberto actor structure */
struct actor_struct act_bubble;      /* actor struct for the Bubble  */
struct actor_struct act_flowerpot;   /* And so on...                 */

int  stage;   /* The stage number */
int  level;
int  lives;   /* Number of lives        */
long score;

int evil_start_x; /* Start X, Y position for the evils */
int evil_start_y;

/*
 * Level color of the cubes
 */
struct level_colors lcolors[] = {
{ WHITE_TOP , WHITE_LEFT , WHITE_RIGHT }, /* End jumps    */
{ BLUE_TOP  , BLUE_LEFT  , BLUE_RIGHT  }, /* 1 jump       */
{ GREEN_TOP , GREEN_LEFT , GREEN_RIGHT }, /* 2 jumps      */
{ RED_TOP   , RED_LEFT   , RED_RIGHT   }, /* and so on... */
{ YELLOW_TOP, YELLOW_LEFT, YELLOW_RIGHT},
{          0,           0,            0},
};

